<?

function newsfront($url) {	
	$html = file_get_contents($url); 
	preg_match_all('#<div class="article__content">(.+?)</div>#is', $html, $arr);
	preg_match_all( "|<title>(.*)</title>|sUSi", $html, $arr3);
	$title = $arr3[1][0];
	
	$text = $arr[1];
	$text = preg_replace("/<p>/", "\n", $text); 
	$text = preg_replace("/<.*?>/", " ", $text);
	$text = preg_replace("/&#171;/", "«", $text); 
	$text = preg_replace("/&#187;/", "»", $text); 
	$text = preg_replace("/&#8212;/", "-", $text); 
	$text = preg_replace("/&quot;/", '"', $text); 
	$text = preg_replace("/&nbsp;/", '—', $text); 
	
	$title = preg_replace("/&#171;/", "«", $title); 
	$title = preg_replace("/&#187;/", "»", $title); 
	$title = preg_replace("/&quot;/", '"', $title); 
	$title = preg_replace("/&nbsp;/", '—', $title); 
	
	$text = preg_replace("/(Обязательно)(.*)/","", $text);  
	$text = $text[0];
	preg_match_all('/<img[^>]+src="?\'?([^"\']+)"?\'?[^>]*>/i', $html, $images, PREG_SET_ORDER);
	$img = $images[10][1];
	return "{$text}::{$img}::{$title}";
}

function newsfrontlistOLD($url = false) {	
	$content = file_get_html($url);
	$div = $content->find('.sidebar', 0);
	foreach($div->find('a') as $link) {
		if ($link->href == '/category/actualnie-novosti/'){
			continue;
		}
		$plink[] = $link->href;
	}
	return $plink;
}
function newsfrontlist($url = false) {	
	$content = file_get_html($url);
	$div = $content->find('.articles-list, .articles-list--mb10, .articles-list--mobile-table', 0);
	foreach($div->find('a') as $link) {
		if ($link->href == '/category/actualnie-novosti/'){
			continue;
		}
		$plink[] = $link->href;
	}
	return $plink;
}

function newsfrontConfig() {
	$RazdData = [
		'1::Россия::https://news-front.su/category/news/russia/::russia' ,
		'2::ДНР и ЛНР::https://news-front.su/category/dnr-lnr/::dnr-lnr' ,
		'3::Украина::https://news-front.su/category/news/ukraine/::ukraine' ,
		'4::Мир::https://news-front.su/category/news/world/::world' ,
		'5::Балканы::https://news-front.su/category/balkany/::balkany' ,
		'6::Молдавия::https://news-front.su/category/moldaviya/::moldaviya' ,
		'7::Белоруссия::https://news-front.su/category/belorussiya/::belorussiya' ,
		'8::Центральная Азия::https://news-front.su/category/central-asia/::central-asia' ,
	];
	return $RazdData;
}
